Bug 1299228 - Package depends on python-pathlib
Package depends on python-pathlib
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: python-scss (Show other bugs)
25
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Patrick Uiterwijk
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-17 10:52 EST by Matthew Smith
Modified: 2016-12-05 16:42 EST (History)
3 users (show)

See Also:
Fixed In Version: python-scss-1.3.4-6.fc25
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-05 16:42:38 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthew Smith 2016-01-17 10:52:58 EST
Description of problem:
The program does not work without python-pathlib installed; it is not listed as a dependency.

Version-Release number of selected component (if applicable):
1.3.4

How reproducible:
Always.

Steps to Reproduce:
1. Install python-scss via `dnf install python-scss`
2. Try and compile sass:

    $ python -mscss < style.sass 
    /usr/bin/python: No module named pathlib; 'scss' is a package and cannot be directly executed

Actual results:
Exits with error `No module named pathlib`

Expected results:
Sass compiles.

Additional info:
Installing `python-pathlib` via `dnf install python-pathlib` fixes this.
Comment 1 Fedora End Of Life 2016-11-24 10:00:25 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Dan Callaghan 2016-11-24 17:24:36 EST
Problem still exists in F25.
Comment 3 Matthias Runge 2016-11-25 05:39:04 EST
Sorry, this slipped through.

The updated package is currently building. Please test and give karma.
Comment 4 Fedora Update System 2016-11-25 05:46:26 EST
python-scss-1.3.4-6.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-94f3da3a0c
Comment 5 Fedora Update System 2016-11-27 17:58:56 EST
python-scss-1.3.4-6.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-94f3da3a0c
Comment 6 Fedora Update System 2016-12-05 16:42:38 EST
python-scss-1.3.4-6.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.